[SM-Grimoire-Bugs] [Bug 15158] New: mpg123 vulnerability with crafted ID3v2 tags

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun Apr 5 16:24:21 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15158

           Summary: mpg123 vulnerability with crafted ID3v2 tags
           Product: Codex
           Version: stable grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: audio-players
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sobukus at sourcemage.org



Thomas Orgis <sobukus at sourcemage.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
               Flag|                            |fixed_in_lesser_branch+,
                   |                            |integrate_to_stable-rc_grim
                   |                            |oire?,
                   |                            |integrate_to_stable_grimoir
                   |                            |e?


The latest mpg123 fixes an issue with ID3 parsing that may be used to execute
arbitrary code, or at least crash the application.
The version in stable/-rc is vulnerable.

Therefore, I suggest to integrate the recent commit
bc02624cc5b7d5b610a9417bef84e30280bdf706 to stable/-rc.

Hm, we should post this to sm-security once the fix is in stable, right?

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list